Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046042
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2021-03-10 15:572021-03-19 09:47
ReporterjarmendarizView Statuspublic 
Assigned Tojarmendariz 
PriorityurgentResolutionfixedFixed in VersionPR21Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046042: Extends externalBusinessPartner config model with fields required for future projects

DescriptionFor ongoing developments we want to introduce the following fields in the External Business Partner configuration and make it available for all modules:

- ExtBP config property should have a "is_default_email" column that should have at most one value set to 'Y' to mark the property that will be used as a email address.

- ExtBP filters should have a 'is_scanner_identifier" column that should have at most one value set to 'Y' and marks which property should be used by the scan event handler to fetch the Customer.
Steps To ReproduceSee above
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126602)
hgbot (developer)
2021-03-10 22:15

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/329 [^]
(0126604)
hgbot (developer)
2021-03-10 22:26

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/184 [^]
(0126626)
hgbot (developer)
2021-03-11 13:18

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.samplebpintegration/-/merge_requests/3 [^]
(0126633)
hgbot (developer)
2021-03-11 17:47

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata/-/merge_requests/5 [^]
(0126652)
hgbot (developer)
2021-03-12 13:35

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata/-/merge_requests/9 [^]
(0126653)
hgbot (developer)
2021-03-12 13:58

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.testsampledata/-/merge_requests/7 [^]
(0126654)
hgbot (developer)
2021-03-12 14:01

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata/-/merge_requests/9 [^]
(0126658)
hgbot (developer)
2021-03-12 15:59

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata [^]
Changeset: 6b86d9099d0e6cf242c70e9193878238a3a74480
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-12T14:01:01+01:00
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata/-/commit/6b86d9099d0e6cf242c70e9193878238a3a74480 [^]

Related to ISSUE-46042: Adding sequence for c_extBp_Config_Filter_opt table to fix dbconsistency error

---
M referencedata/sampledata/The_White_Valley_Group/AD_SEQUENCE.xml
M referencedata/sampledata/The_White_Valley_Group/C_EXTBP_CONFIG_FILTER.xml
M referencedata/sampledata/The_White_Valley_Group/C_EXTBP_CONFIG_PROPERTY.xml
---
(0126659)
hgbot (developer)
2021-03-12 15:59

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata/-/merge_requests/9 [^]
(0126660)
hgbot (developer)
2021-03-12 15:59

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.testsampledata/-/merge_requests/7 [^]
(0126661)
hgbot (developer)
2021-03-12 15:59

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.testsampledata [^]
Changeset: 5f200f6fe74726b40f903e644df2b42f97b00293
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-12T13:57:42+01:00
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.testsampledata/-/commit/5f200f6fe74726b40f903e644df2b42f97b00293 [^]

Related to ISSUE-46042: Adding sequence for c_extBp_Config_Filter_opt table to fix dbconsistency error

---
M referencedata/sampledata/Retail_Test/AD_SEQUENCE.xml
---
(0126662)
hgbot (developer)
2021-03-12 15:59

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata [^]
Changeset: 7bc3a7c9359cbbb1e2399d36c1de4f6aaa0b5a09
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-12T13:34:17+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata/-/commit/7bc3a7c9359cbbb1e2399d36c1de4f6aaa0b5a09 [^]

Related to ISSUE-46042: Adding Sequence entry for C_ExtBP_Config_Filter_Opt table

---
M referencedata/sampledata/The_White_Valley_Group/AD_SEQUENCE.xml
---
(0126663)
hgbot (developer)
2021-03-12 15:59

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata/-/merge_requests/9 [^]
(0126664)
hgbot (developer)
2021-03-12 15:59

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata [^]
Changeset: a3bdcecb28e0479712f58e0b563ac34694415736
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-12T15:51:05+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata/-/commit/a3bdcecb28e0479712f58e0b563ac34694415736 [^]

Related to ISSUE-46042: Adding new filter to sampledata

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata/-/merge_requests/5 [^]

---
M referencedata/sampledata/The_White_Valley_Group/C_EXTBP_CONFIG_FILTER.xml
M referencedata/sampledata/The_White_Valley_Group/C_EXTBP_CONFIG_PROPERTY.xml
---
(0126665)
hgbot (developer)
2021-03-12 15:59

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata/-/merge_requests/5 [^]
(0126666)
hgbot (developer)
2021-03-12 15:59

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.samplebpintegration/-/merge_requests/3 [^]
(0126667)
hgbot (developer)
2021-03-12 15:59

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.samplebpintegration [^]
Changeset: b102a95e44822d304c67f99d0fd43f97cfbea1d6
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-12T15:53:21+01:00
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.samplebpintegration/-/commit/b102a95e44822d304c67f99d0fd43f97cfbea1d6 [^]

Related with ISSUE-46042: Adding new loyalty card number to sample Customers

MR: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.samplebpintegration/-/merge_requests/3 [^]

---
M referencedata/standard/Sample_Integration_Configuration.xml
M src-db/database/sourcedata/AD_DATASET.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/samplebpintegration/ws/request_createNewBP_ID.json
M src/org/openbravo/retail/samplebpintegration/ws/request_createNewBP_Object.json
M src/org/openbravo/retail/samplebpintegration/ws/request_updateBP_ID.json
M src/org/openbravo/retail/samplebpintegration/ws/request_updateBP_Object.json
M src/org/openbravo/retail/samplebpintegration/ws/response_createNewBP.json
M src/org/openbravo/retail/samplebpintegration/ws/response_oneBP_Object.json
M src/org/openbravo/retail/samplebpintegration/ws/response_twoBPs_Objects.json
M src/org/openbravo/retail/samplebpintegration/ws/response_updateBP.json
---
(0126668)
hgbot (developer)
2021-03-12 15:59

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: af84b97e12bed1b40d09efd86e6ea12f57fb991b
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-12T15:55:19+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/af84b97e12bed1b40d09efd86e6ea12f57fb991b [^]

Related to ISSUE-46042: Extending ExternalBusinessPartner model

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/184 [^]

---
M src/org/openbravo/mobile/core/login/ExternalBusinessPartnerConfigurationProvider.java
M web-test/integration/external-business-partner/ExternalBusinessPartnerListViewData.test.js
M web/org.openbravo.mobile.core/app/integration/external-business-partner/ExternalBusinessPartner.js
M web/org.openbravo.mobile.core/app/integration/external-business-partner/ExternalBusinessPartnerListViewData.js
---
(0126669)
hgbot (developer)
2021-03-12 15:59

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/184 [^]
(0126670)
hgbot (developer)
2021-03-12 16:00

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 51c6340db88a22bd9bce06d036c76f8bb9060a70
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-12T15:57:36+01:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/51c6340db88a22bd9bce06d036c76f8bb9060a70 [^]

Fixed ISSUE-46042: Extend ExternalBusinessPartner Properties and Filter model with additional properties

MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/329 [^]

---
A src-db/database/model/tables/C_EXTBP_CONFIG_FILTER_OPT.xml
A src/org/openbravo/event/ExternalBusinessPartnerConfigFilterEventHandler.java
A src/org/openbravo/event/ExternalBusinessPartnerConfigPropertyEventHandler.java
M src-db/database/model/tables/C_EXTBP_CONFIG_FILTER.xml
M src-db/database/model/tables/C_EXTBP_CONFIG_PROPERTY.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE.xml
---
(0126671)
hgbot (developer)
2021-03-12 16:00

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/329 [^]
(0126698)
hgbot (developer)
2021-03-15 10:20

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 77a125af45b777997aaa620787206429be51c8c7
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-15T10:20:04+01:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/77a125af45b777997aaa620787206429be51c8c7 [^]

Related to ISSUE-46042: Adding Static Text reference type

---
M src-db/database/sourcedata/AD_REF_LIST.xml
---
(0126788)
hgbot (developer)
2021-03-19 09:47

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 50069897c564ad61d6cedd6af1f70459a3abd5cc
Author: Antonio Moreno <anmorenoperez@gmail.com>
Date: 2021-03-19T09:47:29+01:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/50069897c564ad61d6cedd6af1f70459a3abd5cc [^]

Related to ISSUE-46042: Fixed problem due to missing sync terminology

---
M src-db/database/sourcedata/AD_FIELD.xml
---

- Issue History
Date Modified Username Field Change
2021-03-10 15:57 jarmendariz New Issue
2021-03-10 15:57 jarmendariz Assigned To => jarmendariz
2021-03-10 15:57 jarmendariz Modules => Core
2021-03-10 15:57 jarmendariz Triggers an Emergency Pack => No
2021-03-10 15:57 jarmendariz Status new => scheduled
2021-03-10 22:15 hgbot Note Added: 0126602
2021-03-10 22:26 hgbot Note Added: 0126604
2021-03-11 13:18 hgbot Note Added: 0126626
2021-03-11 17:47 hgbot Note Added: 0126633
2021-03-12 13:35 hgbot Note Added: 0126652
2021-03-12 13:58 hgbot Note Added: 0126653
2021-03-12 14:01 hgbot Note Added: 0126654
2021-03-12 15:59 hgbot Note Added: 0126658
2021-03-12 15:59 hgbot Note Added: 0126659
2021-03-12 15:59 hgbot Note Added: 0126660
2021-03-12 15:59 hgbot Note Added: 0126661
2021-03-12 15:59 hgbot Note Added: 0126662
2021-03-12 15:59 hgbot Note Added: 0126663
2021-03-12 15:59 hgbot Note Added: 0126664
2021-03-12 15:59 hgbot Note Added: 0126665
2021-03-12 15:59 hgbot Note Added: 0126666
2021-03-12 15:59 hgbot Note Added: 0126667
2021-03-12 15:59 hgbot Note Added: 0126668
2021-03-12 15:59 hgbot Note Added: 0126669
2021-03-12 16:00 hgbot Resolution open => fixed
2021-03-12 16:00 hgbot Status scheduled => closed
2021-03-12 16:00 hgbot Fixed in Version => PR21Q2
2021-03-12 16:00 hgbot Note Added: 0126670
2021-03-12 16:00 hgbot Note Added: 0126671
2021-03-15 10:20 hgbot Note Added: 0126698
2021-03-19 09:47 hgbot Note Added: 0126788


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker